mssql.googlecode.concurrentlinkedhashmap

## Interface EntryWeigher<K,V>

    public interface EntryWeigher<K,V>

A class that can determine the weight of an entry. The total weight threshold is used to determine when an eviction is required.

Author:
  ben.manes@gmail.com (Ben Manes)
See Also:
  http://code.google.com/p/concurrentlinkedhashmap/

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `weightOf(K key, V value)` Measures an entry's weight to determine how many units of capacity that the key and value consumes.

### Method Detail

#### weightOf

    int weightOf(K key,
                 V value)

Measures an entry's weight to determine how many units of capacity that the key and value consumes. An entry must consume a minimum of one unit.

Parameters:
  `key` - the key to weigh
  `value` - the value to weigh
Returns:
  the entry's weight